//
//  MenuViewController.m
//  SDSample
//
//  Created by 中島 智秋 on 12/02/17.
//  Copyright (c) 2012年 日本アルゴリズム株式会社. All rights reserved.
//

#import "MenuViewController.h"
#import "Sample1Controller.h"
#import "Sample2Controller.h"
#import "Sample3Controller.h"

@implementation MenuViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];

    self.title = @"メニュー";
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return 3;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
	switch ([indexPath row]) {
		case 0:
            cell.textLabel.text = @"サンプル1";
            break;
		case 1:
            cell.textLabel.text = @"サンプル2";
            break;
		case 2:
            cell.textLabel.text = @"サンプル3";
            break;
    }
    return cell;
}

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
	switch ([indexPath row]) {
		case 0:
        {
            Sample1Controller *sample1Controller = [[Sample1Controller alloc] initWithNibName:@"Sample1Controller" bundle:nil];
            [self.navigationController pushViewController:sample1Controller animated:YES];
        }
            break;
		case 1:
        {
            Sample2Controller *sample2Controller = [[Sample2Controller alloc] initWithNibName:@"Sample2Controller" bundle:nil];
            [self.navigationController pushViewController:sample2Controller animated:YES];
        }
            break;
		case 2:
        {
            Sample3Controller *sample3Controller = [[Sample3Controller alloc] initWithNibName:@"Sample3Controller" bundle:nil];
            [self.navigationController pushViewController:sample3Controller animated:YES];
        }
            break;
    }
}

@end
